summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJonathan Vasquez <fearedbliss@gentoo.org>2020-07-15 15:37:13 -0400
committerJonathan Vasquez <fearedbliss@gentoo.org>2020-07-15 15:37:13 -0400
commit7e81301c668bb87d5c91631b1c6c7260aa0716a8 (patch)
treeebf518ae34e14cc47997c31357810481a0a0ba90 /sys-kernel/bliss-kernel-bin/bliss-kernel-bin-5.4.51.ebuild
parentsys-kernel/bliss-kernel-bin: stabilizing .178, removing .170 (diff)
downloadgentoo-7e81301c668bb87d5c91631b1c6c7260aa0716a8.tar.gz
gentoo-7e81301c668bb87d5c91631b1c6c7260aa0716a8.tar.bz2
gentoo-7e81301c668bb87d5c91631b1c6c7260aa0716a8.zip
sys-kernel/bliss-kernel-bin: removing 5.4.38, updating to 5.4.51
Package-Manager: Portage-2.3.99, Repoman-2.3.23 Signed-off-by: Jonathan Vasquez <fearedbliss@gentoo.org>
Diffstat (limited to 'sys-kernel/bliss-kernel-bin/bliss-kernel-bin-5.4.51.ebuild')
-rw-r--r--sys-kernel/bliss-kernel-bin/bliss-kernel-bin-5.4.51.ebuild33
1 files changed, 33 insertions, 0 deletions
diff --git a/sys-kernel/bliss-kernel-bin/bliss-kernel-bin-5.4.51.ebuild b/sys-kernel/bliss-kernel-bin/bliss-kernel-bin-5.4.51.ebuild
new file mode 100644
index 00000000000..c4dfa209866
--- /dev/null
+++ b/sys-kernel/bliss-kernel-bin/bliss-kernel-bin-5.4.51.ebuild
@@ -0,0 +1,33 @@
+# Copyright 2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit kernel-install
+
+# Variables
+_LV="FB.01" # Local Version
+_PLV="${PV}-${_LV}" # Package Version + Local Version (Module Dir)
+
+# Main
+DESCRIPTION="Precompiled Vanilla Kernel (Kernel Ready-to-Eat [KRE])"
+HOMEPAGE="https://wiki.gentoo.org/wiki/User:Fearedbliss"
+SRC_URI="https://xyinn.org/gentoo/kernels/${_PLV}/kernel-${_PLV}.tar.xz"
+
+RESTRICT="strip test"
+LICENSE="GPL-2"
+SLOT="${_PLV}"
+KEYWORDS="-* ~amd64"
+
+S="${WORKDIR}"
+QA_PREBUILT="*"
+
+src_install() {
+ mv * "${ED}" || die
+}
+
+pkg_postinst() {
+ # Stub out this function. The downloaded tarball is ready to be installed
+ # into the OS directly.
+ debug-print-function ${FUNCNAME} "${@}"
+}